GriefBeGone ? Item/Block Disabler 2 Plugin 1.6.4

Updated: May 27, 2015 | 166 views |

http://img.niceminecraft.net/BukkitPlugin/GriefBeGone.jpg

Version 4.0 (Bukkit 1.6.4) is in beta testing!

Item/Block Disabler2 is a plugin designed to allow server administration to easily deny access to items and blocks. It allows you to choose what worlds you want items disabled in, and how you want the block disabled! It is extremely lightweight and is designed to have no exploits.

On first run, a config.yml will be generated that looks like this:

Disable Crafting:
  message: '&4The force is not with you.'
  main:
    - '657:2'
Disable Placing:
  message: '&4The force is not with you.'
  main:
    - '657:2'
Disable Interact:
  message: '&4The force is not with you.'
  main:
    - '657:2'
Disable Dropping:
  message: '&4The force is not with you.'
  main:
    - '657:2'
Disable Pick-Up:
  message: '&4The force is not with you.'
  main:
    - '657:2'
Disable Item In Inventory:
  message: '&4The force is not with you.'
  main:
    - '657:2'
Disable Dispensing:
  main:
    - '657:2'
Disable Spawning:
  main:
    - '657:2'
Disable Brewing:
  main:
    - '657:2'
Delete Item If Found:
  main:
    - '657:2'

The entries are self explanatory, but here’s an example of how to disable items. Say I wanted to disable stone in the world “home”, but not completely disable them. I only want to disable dropping and placing. I also don’t want it to delete the disabled item should the plugin find one, and I want it to tell the player “You can not do that!” in dark red.

I also want wooden planks not being dispensed in the world “main”. I also want it to clear the wooden planks out of the dispenser should it find some. My config would look like this:

Disable Crafting:
  message: '&4The force is not with you.'
Disable Placing:
  message: '&4You can not do that!'
  home:
    - '1'
Disable Interact:
  message: '&4The force is not with you.'
Disable Dropping:
  message: '&4You can not do that!'
  home:
    - '1'
Disable Pick-Up:
  message: '&4The force is not with you.'
Disable Item In Inventory:
  message: '&4The force is not with you.'
Disable Dispensing:
  main:
  - '5'
Disable Spawning:
Delete Item If Found:
  main:
  - '5'

The messages and item ids must be surrounded by apostrophes, not quotation marks! Make sure your messages don’t have apostrophes, it will screw up the plugin!

Item/Block Disabler2 Also supports permissions! This allows for administrators to apply disabling rules to only certain groups of people! Here are the permissions:

disabler.reload - allows access to /disabler reload
disabler.bypass.crafting.worldname.itemid - allows user to bypass crafting restrictions
disabler.bypass.placing.worldname.itemid - allows user to bypass placing restrictions
disabler.bypass.interact.worldname.itemid - allows user to bypass interacting restrictions
disabler.bypass.dropping.worldname.itemid - allows user to bypass dropping restrictions
disabler.bypass.pickup.worldname.itemid - allows user to bypass picking up restrictions
disabler.bypass.inventory.worldname.itemid - allows user to bypass inventory restrictions
disabler.bypass.delete.worldname.itemid - allows user to bypass item deletion
disabler.bypass.all.worldname.itemid - allows users to bypass everything - New in V2.6

Note: With V3.1, you can use ‘*’ as the item id to represent all item ids in the config and for permissions.

Say I wanted a player to not get their wooden planks deleted, but only a certain color of wooden planks in the world “main”. I would give them:

disabler.bypass.delete.main.5:2

If you have Multiverse-Core installed, Disabler will automatically pull in your Multiverse worlds. No need for configuration!

As mentioned before, I designed this to be extremely lightweight and exploit free. If you find a bug or an exploit, submit a ticket or shoot me a pm. I will fix it as fast as I can. Enjoy!

I realize this plugin may be used on Tekkit servers, but sadly, it was not designed for Tekkit servers. It is not my fault if there are bypasses on Tekkit servers. Update 23/4/13: Bukkit no longer accepts plugins compiled with 1.2.5. Versions compiled with 1.4.7 should still work on 1.2.5, but no guarantees!

GriefBeGone ? Item/Block Disabler 2 Plugin 1.6.4 Download Links

http://www.dl2.9minecraft.net/index.php?act=dl&id=1387331965

http://www.dl5.9minecraft.net/index.php?act=dl&id=1387357436


Credits: chrislarsson